package interfaces

type ServiceProvider interface {
	GetEnvService() Env
	GetCacheService() Cache
	GetMailerService() Mailer
	GetAuthService() Auth
	GetArticleRepository() ArticleRepository
	GetTagRepository() TagRepository
	GetArticleTagRepository() ArticleTagRepository
	GetUserRepository() UserRepository
}
