package interfaces

import (
	"context"

	"git.dmitriygnatenko.ru/dima/dmitriygnatenko-v2/internal/models"
)

type UserRepository interface {
	Get(ctx context.Context, username string) (*models.User, error)
	Add(ctx context.Context, username string, password string) (int, error)
	UpdatePassword(ctx context.Context, id int, newPassword string) error
}
